Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.pentaho.di.trans.steps.fixedinput
Class FixedInputMeta

    java.lang.Object
      org.pentaho.di.trans.step.BaseStepMeta
          org.pentaho.di.trans.steps.fixedinput.FixedInputMeta

All Implemented Interfaces:
  Cloneable, StepMetaInterface

    @Step(name="FixedInput",
          image="ui/images/TFI.png",
          tooltip="BaseStep.TypeTooltipDesc.FixedInput",
          description="BaseStep.TypeLongDesc.FixedInput",
          category=0)
    public class FixedInputMeta

extends BaseStepMeta
implements StepMetaInterface

Since:
  2007-07-05
Version:
  3.0
Author:
  matt

Field Summary
`static int` | `FILE_TYPE_DOS`
`static int` | `FILE_TYPE_NONE`
`static int` | `FILE_TYPE_UNIX`
`static String[]` | `fileTypeCode`
`static String[]` | `fileTypeDesc`

Constructor Summary
`FixedInputMeta()`

Method Summary
`void` | `allocate(int nrFields)`
`void` | `check(List<org.pentaho.di.core.CheckResultInterface> remarks, TransMeta transMeta, StepMeta stepinfo, org.pentaho.di.core.row.RowMetaInterface prev, String[] input, String[] output, org.pentaho.di.core.row.RowMetaInterface info)` Checks the settings of this step and puts the findings in a remarks List.
`Object` | `clone()` Make an exact copy of this step, make sure to explicitly copy Collections etc.
`String` | `exportResources(org.pentaho.di.core.variables.VariableSpace space, Map<String,ResourceDefinition> definitions, ResourceNamingInterface resourceNamingInterface, Repository repository)` Since the exported transformation that runs this will reside in a ZIP file, we can't reference files relatively.
`String` | `getBufferSize()`
`String` | `getEncoding()`
`FixedFileInputField[]` | `getFieldDefinition()`
`void` | `getFields(org.pentaho.di.core.row.RowMetaInterface rowMeta, String origin, org.pentaho.di.core.row.RowMetaInterface[] info, StepMeta nextStep, org.pentaho.di.core.variables.VariableSpace space)` Get the fields that are emitted by this step
`String` | `getFilename()`
`int` | `getFileType()`
`static int` | `getFileType(String fileTypeCode)`
`String` | `getFileTypeCode()`
`static String` | `getFileTypeCode(int fileType)`
`String` | `getFileTypeDesc()`
`static String` | `getFileTypeDesc(int fileType)`
`int` | `getLineSeparatorLength()`
`String` | `getLineWidth()`
`List<ResourceReference>` | `getResourceDependencies(TransMeta transMeta, StepMeta stepInfo)` Get a list of all the resource dependencies that the step is depending on.
`StepInterface` | `getStep(StepMeta stepMeta, StepDataInterface stepDataInterface, int cnr, TransMeta tr, Trans trans)` Get the executing step, needed by Trans to launch a step.
`StepDataInterface` | `getStepData()` Get a new instance of the appropriate data class.
`String` | `getXML()` Produces the XML string that describes this step's information.
`boolean` | `isAddResultFile()`
`boolean` | `isHeaderPresent()`
`boolean` | `isLazyConversionActive()`
`boolean` | `isLineFeedPresent()`
`boolean` | `isRunningInParallel()`
`void` | `loadXML(Node stepnode, List<org.pentaho.di.core.database.DatabaseMeta> databases, Map<String,org.pentaho.di.core.Counter> counters)` Load the values for this step from an XML Node
`void` | `readRep(Repository rep, long id_step, List<org.pentaho.di.core.database.DatabaseMeta> databases, Map<String,org.pentaho.di.core.Counter> counters)` Read the steps information from a Kettle repository
`void` | `saveRep(Repository rep, long id_transformation, long id_step)` Save the steps data into a Kettle repository
`void` | `setAddResultFile(boolean isaddresult)`
`void` | `setBufferSize(String bufferSize)`
`void` | `setDefault()` Set default values
`void` | `setEncoding(String encoding)`
`void` | `setFieldDefinition(FixedFileInputField[] fieldDefinition)`
`void` | `setFilename(String filename)`
`void` | `setFileType(int fileType)`
`void` | `setHeaderPresent(boolean headerPresent)`
`void` | `setLazyConversionActive(boolean lazyConversionActive)`
`void` | `setLineFeedPresent(boolean lineFeedPresent)`
`void` | `setLineWidth(String lineWidth)`
`void` | `setRunningInParallel(boolean runningInParallel)`

Methods inherited from class org.pentaho.di.trans.step.BaseStepMeta
`analyseImpact, cancelQueries, chosesTargetSteps, excludeFromRowLayoutVerification, getDialogClassName, getID, getInfoSteps, getRequiredFields, getRequiredFields, getSQLStatements, getTableFields, getTargetSteps, getUsedArguments, getUsedDatabaseConnections, getUsedLibraries, hasChanged, searchInfoAndTargetSteps, setChanged, setChanged, setID, setInfoSteps, setTargetSteps, supportsErrorHandling`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface org.pentaho.di.trans.step.StepMetaInterface
`analyseImpact, cancelQueries, excludeFromRowLayoutVerification, getDialogClassName, getInfoSteps, getRequiredFields, getRequiredFields, getSQLStatements, getTableFields, getTargetSteps, getUsedArguments, getUsedDatabaseConnections, getUsedLibraries, searchInfoAndTargetSteps, setInfoSteps, setTargetSteps, supportsErrorHandling`

Field Detail

### FILE_TYPE_NONE

    public static final int FILE_TYPE_NONE

See Also:
  Constant Field Values

### FILE_TYPE_UNIX

    public static final int FILE_TYPE_UNIX

See Also:
  Constant Field Values

### FILE_TYPE_DOS

    public static final int FILE_TYPE_DOS

See Also:
  Constant Field Values

### fileTypeCode

    public static final String[] fileTypeCode

### fileTypeDesc

    public static final String[] fileTypeDesc

Constructor Detail

### FixedInputMeta

    public FixedInputMeta()

Method Detail

### loadXML

    public void loadXML(Node stepnode,
                        List<org.pentaho.di.core.database.DatabaseMeta> databases,
                        Map<String,org.pentaho.di.core.Counter> counters)
                 throws org.pentaho.di.core.exception.KettleXMLException

  Description copied from interface: `StepMetaInterface`
  Load the values for this step from an XML Node

  Specified by:
    `loadXML` in interface `StepMetaInterface`
  Parameters:
    `stepnode` - the Node to get the info from
    `databases` - The available list of databases to reference to
    `counters` - Counters to reference.
  Throws:
    `org.pentaho.di.core.exception.KettleXMLException` - When an unexpected XML error occurred. (malformed etc.)

### clone

    public Object clone()

  Description copied from interface: `StepMetaInterface`
  Make an exact copy of this step, make sure to explicitly copy Collections etc.

  Specified by:
    `clone` in interface `StepMetaInterface`
  Overrides:
    `clone` in class `BaseStepMeta`
  Returns:
    an exact copy of this step

### setDefault

    public void setDefault()

  Description copied from interface: `StepMetaInterface`
  Set default values

  Specified by:
    `setDefault` in interface `StepMetaInterface`

### allocate

    public void allocate(int nrFields)

### getXML

    public String getXML()

  Description copied from class: `BaseStepMeta`
  Produces the XML string that describes this step's information.

  Specified by:
    `getXML` in interface `StepMetaInterface`
  Overrides:
    `getXML` in class `BaseStepMeta`
  Returns:
    String containing the XML describing this step.

### readRep

    public void readRep(Repository rep,
                        long id_step,
                        List<org.pentaho.di.core.database.DatabaseMeta> databases,
                        Map<String,org.pentaho.di.core.Counter> counters)
                 throws org.pentaho.di.core.exception.KettleException

  Description copied from interface: `StepMetaInterface`
  Read the steps information from a Kettle repository

  Specified by:
    `readRep` in interface `StepMetaInterface`
  Parameters:
    `rep` - The repository to read from
    `id_step` - The step ID
    `databases` - The databases to reference
    `counters` - The counters to reference
  Throws:
    `org.pentaho.di.core.exception.KettleException` - When an unexpected error occurred (database, network, etc)

### saveRep

    public void saveRep(Repository rep,
                        long id_transformation,
                        long id_step)
                 throws org.pentaho.di.core.exception.KettleException

  Description copied from interface: `StepMetaInterface`
  Save the steps data into a Kettle repository

  Specified by:
    `saveRep` in interface `StepMetaInterface`
  Parameters:
    `rep` - The Kettle repository to save to
    `id_transformation` - The transformation ID
    `id_step` - The step ID
  Throws:
    `org.pentaho.di.core.exception.KettleException` - When an unexpected error occurred (database, network, etc)

### getFields

    public void getFields(org.pentaho.di.core.row.RowMetaInterface rowMeta,
                          String origin,
                          org.pentaho.di.core.row.RowMetaInterface[] info,
                          StepMeta nextStep,
                          org.pentaho.di.core.variables.VariableSpace space)
                   throws org.pentaho.di.core.exception.KettleStepException

  Description copied from interface: `StepMetaInterface`
  Get the fields that are emitted by this step

  Specified by:
    `getFields` in interface `StepMetaInterface`
  Overrides:
    `getFields` in class `BaseStepMeta`
  Parameters:
    `rowMeta` - The fields that are entering the step. These are changed to reflect the output metadata.
    `origin` - The name of the step to be used as origin
    `info` - The input rows metadata that enters the step through the specified channels in the same order as in method getInfoSteps(). The step metadata can then choose what to do with it: ignore it or not. Interesting is also that in case of database lookups, the layout of the target database table is put in info[0]
    `nextStep` - if this is a non-null value, it's the next step in the transformation. The one who's asking, the step where the data is targetted towards.
    `space` - TODO
  Throws:
    `org.pentaho.di.core.exception.KettleStepException` - when an error occurred searching for the fields.

### check

    public void check(List<org.pentaho.di.core.CheckResultInterface> remarks,
                      TransMeta transMeta,
                      StepMeta stepinfo,
                      org.pentaho.di.core.row.RowMetaInterface prev,
                      String[] input,
                      String[] output,
                      org.pentaho.di.core.row.RowMetaInterface info)

  Description copied from interface: `StepMetaInterface`
  Checks the settings of this step and puts the findings in a remarks List.

  Specified by:
    `check` in interface `StepMetaInterface`
  Parameters:
    `remarks` - The list to put the remarks in @see org.pentaho.di.core.CheckResult
    `stepinfo` - The stepMeta to help checking
    `prev` - The fields coming from the previous step
    `input` - The input step names
    `output` - The output step names
    `info` - The fields that are used as information by the step

### getStep

    public StepInterface getStep(StepMeta stepMeta,
                                 StepDataInterface stepDataInterface,
                                 int cnr,
                                 TransMeta tr,
                                 Trans trans)

  Description copied from interface: `StepMetaInterface`
  Get the executing step, needed by Trans to launch a step.

  Specified by:
    `getStep` in interface `StepMetaInterface`
  Parameters:
    `stepMeta` - The step info
    `stepDataInterface` - the step data interface linked to this step. Here the step can store temporary data, database connections, etc.
    `cnr` - The copy nr to get
    `tr` - The transformation info
    `trans` - The launching transformation

### getStepData

    public StepDataInterface getStepData()

  Description copied from interface: `StepMetaInterface`
  Get a new instance of the appropriate data class. This data class implements the StepDataInterface. It basically contains the persisting data that needs to live on, even if a worker thread is terminated.

  Specified by:
    `getStepData` in interface `StepMetaInterface`
  Returns:
    The appropriate StepDataInterface class.

### getFilename

    public String getFilename()

  Returns:
    the filename

### setFilename

    public void setFilename(String filename)

  Parameters:
    `filename` - the filename to set

### getBufferSize

    public String getBufferSize()

  Returns:
    the bufferSize

### setBufferSize

    public void setBufferSize(String bufferSize)

  Parameters:
    `bufferSize` - the bufferSize to set

### isLazyConversionActive

    public boolean isLazyConversionActive()

  Returns:
    true if lazy conversion is turned on: conversions are delayed as long as possible, perhaps to never occur at all.

### setLazyConversionActive

    public void setLazyConversionActive(boolean lazyConversionActive)

  Parameters:
    `lazyConversionActive` - true if lazy conversion is to be turned on: conversions are delayed as long as possible, perhaps to never occur at all.

### isHeaderPresent

    public boolean isHeaderPresent()

  Returns:
    the headerPresent

### setHeaderPresent

    public void setHeaderPresent(boolean headerPresent)

  Parameters:
    `headerPresent` - the headerPresent to set

### getLineWidth

    public String getLineWidth()

  Returns:
    the lineWidth

### isLineFeedPresent

    public boolean isLineFeedPresent()

  Returns:
    the lineFeedPresent

### setLineWidth

    public void setLineWidth(String lineWidth)

  Parameters:
    `lineWidth` - the lineWidth to set

### setLineFeedPresent

    public void setLineFeedPresent(boolean lineFeedPresent)

  Parameters:
    `lineFeedPresent` - the lineFeedPresent to set

### isRunningInParallel

    public boolean isRunningInParallel()

  Returns:
    the runningInParallel

### setRunningInParallel

    public void setRunningInParallel(boolean runningInParallel)

  Parameters:
    `runningInParallel` - the runningInParallel to set

### getFieldDefinition

    public FixedFileInputField[] getFieldDefinition()

  Returns:
    the fieldDefinition

### setFieldDefinition

    public void setFieldDefinition(FixedFileInputField[] fieldDefinition)

  Parameters:
    `fieldDefinition` - the fieldDefinition to set

### getResourceDependencies

    public List<ResourceReference> getResourceDependencies(TransMeta transMeta,
                                                           StepMeta stepInfo)

  Description copied from class: `BaseStepMeta`
  Get a list of all the resource dependencies that the step is depending on.

  Specified by:
    `getResourceDependencies` in interface `StepMetaInterface`
  Overrides:
    `getResourceDependencies` in class `BaseStepMeta`
  Returns:
    a list of all the resource dependencies that the step is depending on

### getFileType

    public int getFileType()

  Returns:
    the fileType

### setFileType

    public void setFileType(int fileType)

  Parameters:
    `fileType` - the fileType to set

### getFileTypeCode

    public static final String getFileTypeCode(int fileType)

### getFileTypeDesc

    public static final String getFileTypeDesc(int fileType)

### getFileTypeCode

    public String getFileTypeCode()

### getFileTypeDesc

    public String getFileTypeDesc()

### getFileType

    public static final int getFileType(String fileTypeCode)

### getLineSeparatorLength

    public int getLineSeparatorLength()

### getEncoding

    public String getEncoding()

  Returns:
    the encoding

### setEncoding

    public void setEncoding(String encoding)

  Parameters:
    `encoding` - the encoding to set

### setAddResultFile

    public void setAddResultFile(boolean isaddresult)

  Parameters:
    `isaddresult` - The isaddresult to set.

### isAddResultFile

    public boolean isAddResultFile()

  Returns:
    Returns isaddresult.

### exportResources

    public String exportResources(org.pentaho.di.core.variables.VariableSpace space,
                                  Map<String,ResourceDefinition> definitions,
                                  ResourceNamingInterface resourceNamingInterface,
                                  Repository repository)
                           throws org.pentaho.di.core.exception.KettleException

  Since the exported transformation that runs this will reside in a ZIP file, we can't reference files relatively. So what this does is turn the name of files into absolute paths OR it simply includes the resource in the ZIP file. For now, we'll simply turn it into an absolute path and pray that the file is on a shared drive or something like that. TODO: create options to configure this behavior

  Specified by:
    `exportResources` in interface `StepMetaInterface`
  Overrides:
    `exportResources` in class `BaseStepMeta`
  Parameters:
    `space` - the variable space to use
    `repository` - The repository to optionally load other resources from (to be converted to XML)
  Returns:
    the filename of the exported resource
  Throws:
    `org.pentaho.di.core.exception.KettleException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD